# log4cpp::BasicConfigurator Class Reference

This class implements a trivial default configuration for log4cpp: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category. More...

`#include <BasicConfigurator.hh>`

List of all members.

## Static Public Member Functions

static void | configure ()
| Performs a minimal configuration of log4cpp.

## Detailed Description

This class implements a trivial default configuration for log4cpp: it adds a FileAppender that logs to stdout and uses a BasicLayout to the root Category.

Since:
  0.3.2

## Member Function Documentation

void log4cpp::BasicConfigurator::configure | ( |  | ) | `[static]`

Performs a minimal configuration of log4cpp.

The documentation for this class was generated from the following files:

- BasicConfigurator.hh
- BasicConfigurator.cpp